### Virtual Method

# Gio Drive enumerate_identifiers

#### Declaration

    char**
    enumerate_identifiers (
      GDrive* drive
    )

#### Description

Gets the kinds of identifiers that `drive` has. Use `g_drive_get_identifier()` to obtain the identifiers themselves.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings containing kinds of identifiers. Use `g_strfreev()` to free.

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.